## kalm 25.08.1+p24.04+vstable+git20250911.1306

=== debian/changelog ===
kalm (25.08.1+p24.04+vstable+git20250911.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:06:49 +0000
