## kalm 25.08.1+p24.04+vstable+git20251001.0528

=== debian/changelog ===
kalm (25.08.1+p24.04+vstable+git20251001.0528-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:28:55 +0000
