=== debian/control ===
Source: kalm
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/kalm/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kalm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kalm
Maintainer: Neon CI <neon@kde.org>

Package: kalm
Architecture: any
Depends: qml6-module-org-kde-kirigami-addons-formcard,
         qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Breathing Techniques
 Kalm can teach you different breathing techniques.
