## kalm 25.12.0+p24.04+vstable+git20260101.0159

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260101.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:59:28 +0000
