## kalm 25.12.0+p24.04+vstable+git20260103.0306

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260103.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:06:52 +0000
