## kalm 25.12.0+p24.04+vstable+git20260105.1110

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260105.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:10:30 +0000
