## kalm 25.12.1+p24.04+vstable+git20260106.1345

=== debian/changelog ===
kalm (25.12.1+p24.04+vstable+git20260106.1345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 13:45:13 +0000
