## kalm 25.12.1+p24.04+vstable+git20260131.0305

=== debian/changelog ===
kalm (25.12.1+p24.04+vstable+git20260131.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:05:21 +0000
