## kalm 25.12.1+p24.04+vunstable+git20260201.0649

=== debian/changelog ===
kalm (25.12.1+p24.04+vunstable+git20260201.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:49:15 +0000
